#
# spec file for package python-sge-pygame
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python36 1
Name:           python-sge-pygame
Version:        1.7.1
Release:        1.15
Summary:        A 2-D game engine for Python
License:        LGPL-3.0-or-later
Group:          Development/Languages/Python
URL:            https://python-sge.github.io
Source:         https://files.pythonhosted.org/packages/source/s/sge/sge-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-pygame >= 1.9.1
Requires:       python-six >= 1.4.0
Requires:       python-uniseg
BuildRequires:  fdupes
BuildArch:      noarch
%python_subpackages

%description
The SGE Game Engine is a general-purpose 2-D game engine. It takes
care of several details, such as window size management, collision
detection, parallax scrolling, image transformation.

This implementation of the SGE uses Pygame as a backend.

%prep
%setup -q -n sge-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README README.pygame WHATSNEW  WHATSNEW.pygame
%license sge/COPYING sge/COPYING.LESSER
%{python_sitelib}/*

%changelog
* Tue May 11 2021 Markéta Machová <mmachova@suse.com>
- Skip python36 because pygame skipped it
* Mon May  3 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 1.7.1
  * Fix incompatibility with Pygame 2
* Sun Sep 13 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.7
  Specification additions:
  * sge.gfx.Font.linesize
  * sge.gfx.Sprite.size
  Specification misc changes:
  * Added an outline and outline_thickness argument to
    sge.gfx.Sprite.draw_text and related methods.
  * Added use of an argument by the pixelate transition to control
    rate of pixelation updates.
  * Specified that extending sge.s with additional string variables
    is allowed.
  * Removed the warning about use of MP3 files in the documentation
    since MP3 patents expired a couple years ago.
  Specification bugfixes:
  * Missing documentation for sge.gfx.Sprite.get_spritelist
  * Missing documentation for sge.gfx.Color.__init__
  * sge.gfx.Sprite.scale docs talking about rotation rather than
    scaling
- Update to version 1.7
  Specification additions:
  * sge.s.isometric
  * sge.s.orthogonal
  * sge.gfx.Sprite.get_spritelist
  Specification misc changes:
  * Full name changed from "SGE Game Engine" to "Seclusion Game Engine"
  Specification bugfixes:
  * Misspelling of "backgrounds" as "bckgrounds"
* Wed Dec  5 2018 mardnh@gmx.de
- Update to version 1.5.1
  * Made the uniseg dependency optional.
  * Altered the way fonts are handled.
* Thu Jul 26 2018 jengelh@inai.de
- Trim bias from description, add a few mentions of what "details"
  SGE takes care of.
* Sat Jul 21 2018 mardnh@gmx.de
- Initial package, version 1.5
